Financial Monitoring

post

Assesses a user’s ability to service/afford a specified loan by analyzing monthly income, expenses, savings, and debt obligations. NOTE: while OCR on the statement is still processing, this endpoint will return "202 - PENDING"

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Note: Data availability may vary depending on the financial institution, and access to certain data may be subject to intermittent connectivity issues from our transactions provider.
Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:
Body
task_idstring[]Required

REQUIRED: list of 1 or more task IDs (array of strings) from completed bank statement processing

interest_ratenumberRequired

REQUIRED: Annual interest rate applied to the loan, expressed as a number between 0 and 50 (e.g., 10.5 for 10.5%)

loan_amountintegerRequired

REQUIRED: Total principal amount of the loan being assessed for affordability, expressed in the relevant currency (e.g., ZAR).

loan_term_yearsnumber · nullableOptional

REQUIRED: Duration of the loan term in number of years, in a range of 1-50

consentboolean · nullableOptional

REQUIRED: By using this API, you acknowledge that you have read, understood, and agree to be bound by these Terms of Service. If you have any questions or concerns, please contact us

max_ltinumber · nullableOptional

Maximum acceptable loan-to-income ratio (range: 0 to 20)

max_affordability_rationumber · nullableOptional

Maximum acceptable affordability ratio (range: 0 to 1)

min_savings_buffer_rationumber · nullableOptional

Minimum acceptable savings buffer ratio (range: 0 to 1)

Responses
chevron-right
200Success
application/json

Successful response from the bank statement affordability scoring endpoint (HTTP 200).

processed_tasksstring[]Optional

List of task IDs that were successfully scored

total_recordsintegerOptional

Total number of transaction records processed

status_codeintegerOptional

HTTP status code echoed in body (always 200)

post
/api/bankstatement/affordability
Deprecated
post

Retrieve behavioral-risk scores based on the previously uploaded bank statement. USE AFTER (/api/bankstatement/upload).

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Note: Data availability may vary depending on the financial institution, and access to certain data may be subject to intermittent connectivity issues from our transactions provider.
Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:
Body
task_idstringOptional

task_id returned from the bank statement upload API call

consentbooleanOptional

By using this API, you acknowledge that you have read, understood, and agree to be bound by these Terms of Service. If you have any questions or concerns, please contact us

Responses
chevron-right
200Success
application/json

Response object containing risk assessment based on bank statements.

processed_tasksstringOptional

List of task IDs that were successfully processed during the bank statement analysis.

total_recordsintegerOptional

Total number of bank statement records evaluated during the affordability assessment.

post
/api/bankstatement/behavioral-risk
post

Evaluates liquidity risk of an entity based on bank statements, analyzing net cash flow, average daily balance, cash flow volatility, and liquidity ratio. NOTE: while OCR on the statement is still processing, this endpoint will return "202 - PENDING"

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Note: Data availability may vary depending on the financial institution, and access to certain data may be subject to intermittent connectivity issues from our transactions provider.
Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:
Body

Request schema for the bank statement liquidity scoring endpoint. Accepts one or more task IDs from completed OCR processing plus optional scoring thresholds.

task_idstring[]Required

REQUIRED: list of 1 or more task IDs (array of strings) from completed bank statement processing

consentbooleanRequired

REQUIRED: Customer consent for data processing (must be true)

min_net_cash_flownumberOptional

Minimum acceptable net cash flow (range: -100,000 to 1,000,000)

max_volatilitynumberOptional

Maximum acceptable cash flow volatility (range: 0 to 2)

min_liquidity_rationumberOptional

Minimum acceptable liquidity ratio (range: 0 to 10)

min_days_of_cashnumberOptional

Minimum days of cash on hand (range: 0 to 365)

min_end_of_month_balancenumberOptional

Minimum acceptable end-of-month balance (range: -100,000 to 1,000,000)

Responses
chevron-right
200Success
application/json

Successful response from the bank statement liquidity scoring endpoint (HTTP 200).

processed_tasksstring[]Optional

List of task IDs that were successfully scored

total_recordsintegerOptional

Total number of transaction records processed

status_codeintegerOptional

HTTP status code echoed in body (always 200)

post
/api/bankstatement/liquidity
post

Evaluates financial risk of an entity based on bank statement data, analyzing balance volatility, income stability, liquidity ratio, and overdraft frequency to generate a risk score. NOTE: while OCR on the statement is still processing, this endpoint will return "202 - PENDING"

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Note: Data availability may vary depending on the financial institution, and access to certain data may be subject to intermittent connectivity issues from our transactions provider.
Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:
Body
task_idstring[]Required

REQUIRED: list of 1 or more task IDs (array of strings) from completed bank statement processing

consentbooleanRequired

REQUIRED: By using this API, you acknowledge that you have read, understood, and agree to be bound by these Terms of Service. If you have any questions or concerns, please contact us

min_net_cash_flownumber · nullableOptional

Minimum acceptable net cash flow (range: -100,000 to 1,000,000)

max_volatilitynumber · nullableOptional

Maximum acceptable cash flow volatility (range: 0 to 2)

min_liquidity_rationumber · nullableOptional

Minimum acceptable liquidity ratio (range: 0 to 10)

min_days_of_cashnumber · nullableOptional

Minimum days of cash on hand (range: 0 to 365)

min_end_of_month_balancenumber · nullableOptional

Minimum acceptable end-of-month balance (range: -100,000 to 1,000,000)

Responses
chevron-right
200Success
application/json

Successful response from the bank statement risk scoring endpoint (HTTP 200).

processed_tasksstring[]Optional

List of task IDs that were successfully scored

total_recordsintegerOptional

Total number of transaction records processed

status_codeintegerOptional

HTTP status code echoed in body (always 200)

post
/api/bankstatement/risk
Deprecated
post

Retrieve bank statement transactions based on the previously uploaded bank statement. USE AFTER (/api/bankstatement/upload)

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Note: Data availability may vary depending on the financial institution, and access to certain data may be subject to intermittent connectivity issues from our transactions provider.
Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:
Body
task_idstringOptional

task_id returned from the bank statement upload API call

consentbooleanOptional

By using this API, you acknowledge that you have read, understood, and agree to be bound by these Terms of Service. If you have any questions or concerns, please contact us

Responses
chevron-right
200Success
application/json
csv_urlstringOptional

Bank statement transactions url

post
/api/bankstatement/transactions
post

Upload a bank statement to initiate risk analysis and scoring, the first step in assessing financial health.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Note: Data availability may vary depending on the financial institution, and access to certain data may be subject to intermittent connectivity issues from our transactions provider.
Authorizations
OAuth2clientCredentialsRequired
Token URL: Refresh URL:
Body

Payload for uploading an bank statement for analysis and verification.

base_64_pdfstringOptional

The bank statement document, encoded as a Base64 string. The file must be a valid PDF.

client_typenumberOptional

Specifies the type of client entity. Use 1 if an ID number (individual) is provided, or 2 if a company registration number is provided.

company_regstringOptional

Company registration number. Required only if the bank statement belongs to a registered business entity.

id_numberstringOptional

South African ID number. Required only if the bank statement belongs to an individual rather than a company.

bank_namestringOptional

The name of the financial institution. Supported Banks: 'ABSA', 'Nedbank', 'FNB', Standard bank', and 'Capitec bank'.

consentbooleanOptional

By using this API, you acknowledge that you have read, understood, and agree to be bound by these Terms of Service. If you have any questions or concerns, please contact us.

Responses
chevron-right
200Success
application/json
task_idstringOptional

task ID

messagestringRequired

Human-readable success message

successbooleanRequired

Always true for successful uploads

post
/api/bankstatement/upload

Last updated